Skip to main content
POST
/
project
/
{project_id}
/
chart
/
{id}
/
share
/
policy
cURL
curl --request POST \
  --url https://api.chartbrew.com/project/{project_id}/chart/{id}/share/policy \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.chartbrew.com/project/{project_id}/chart/{id}/share/policy"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.chartbrew.com/project/{project_id}/chart/{id}/share/policy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "entity_id": 123,
  "params": [
    {
      "key": "<string>",
      "value": "<string>"
    }
  ],
  "allow_params": false,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}
This endpoint creates a new SharePolicy for a chart, which enables advanced sharing and embedding features including:
  • Signed URL generation with expiration dates
  • Parameter passing to chart variables
  • Control over URL parameter allowance
  • Enhanced security for embedded charts

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_id
string
required

ID of the project

id
string
required

ID of the chart

Response

Created chart share policy

id
integer
entity_type
enum<string>
Available options:
Project,
Chart
entity_id
integer
params
object[]

Parameters to pass to variables in the dashboard's charts

allow_params
boolean
default:false

Whether to allow parameters to be passed via URL

createdAt
string<date-time>
updatedAt
string<date-time>